Ubuntu – Multiple warnings nautilus

nautilus

I often start nautilus from the terminal, e.g.

nautilus . &

I get the following warnings:

(nautilus:11016): Gtk-WARNING **: Failed to register client: GDBus.Error:org.gnome.SessionManager.AlreadyRegistered: Unable to register client
sys:1: PyGIWarning: Nautilus was imported without specifying a version first. Use gi.require_version('Nautilus', '3.0') before import to ensure that the right version gets loaded.
<IntrospectionModule 'Nautilus' from '/usr/lib/x86_64-linux-gnu/girepository-1.0/Nautilus-3.0.typelib'>
Insync Nautilus Plugin
<class 'insync_plugin.InsyncExtension'>
('[__init__ insync plugin]', <insync_plugin.InsyncExtension object at 0x7fb308127780 (uninitialized at 0x(nil))>)
Initializing nautilus-dropbox 2015.10.28
Nautilus-Share-Message: Called "net usershare info" but it failed: Failed to execute child process “net” (No such file or directory)

Nautilus works as expected, but all these warnings are quite annoying. From what I see, there are three different things going on here:

  • GTK-Warning about some client
  • Some python module (maybe Insync? – A google drive integration) does not specify some version
  • Nautilus cannot finde network shares, since I dont have any (?)

I already googled and found a couple of answers to related problems where nautilus would either not work at all or not work with gksu. But since nautilus works fine for me, I did not find any solution so far. Anyone an idea how to get rid off all (or maybe at least one or two) messages?